#!/bin/sh

#set core which fma checek process run.
check_fma()
{
	if [[ `cat /sys/devices/system/cpu/online|awk -F , '{print $1}'` = "0-3" ]]; then
		#IO node
		GOMP_CPU_AFFINITY=0-3
		OMP_NUM_THREADS=4
	else
		#CN node
		GOMP_CPU_AFFINITY=0-1
		OMP_NUM_THREADS=2
	fi
	#fma.v180227 [-d] [-b <bmc_mode>] [-m <mode>]
	#-d             指定すると debug 情報が出力される。
	#-b <bmc_mode>     <bmc_mode>=1 の時、bmcd と通信し、エラーログを送信する。
	#-m <mode>     <mode>=1 のとき、エラーがなくても、強制的に、エラーログを送信する。
	if [[ ! -e /opt/FJSVxos/cpuras/sbin/fma.v181130 ]]; then
	     echo "/opt/FJSVxos/cpuras/sbin/fma.v181130 is not exist." 
	     return 0
	fi
	/opt/FJSVxos/cpuras/sbin/fma.v181130 -d -b 1
	if [ $? -eq 0 ]; then
		return 0
	else
		echo `date`":FMA ras panic by acore check" 
		echo c > /proc/sysrq-trigger
	fi
}

OUTPUT=`check_fma`
echo $OUTPUT >> /etc/opt/FJSVtcs/prm/syshook/os/cpuras/log
exit 0
